"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = useInsertionEffectDontMountTwiceInStrictMode;

var _react = require("react");

var _useEffectDontMountTwiceInStrictMode = _interopRequireDefault(require("./useEffectDontMountTwiceInStrictMode.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

// A workaround for a React bug when `useInsertionEffect()` doesn't run twice on mount
// in "strict" mode unlike `useEffect()` and `useLayoutEffect()` do.
// https://github.com/facebook/react/issues/26320
function useInsertionEffectDontMountTwiceInStrictMode(handler, dependencies) {
  return (0, _useEffectDontMountTwiceInStrictMode["default"])(_react.useInsertionEffect, handler, dependencies);
}
//# sourceMappingURL=useInsertionEffectDontMountTwiceInStrictMode.js.map